Parameters admin API Resource

System parameters handling WS

GET /admin/parameters/externalpass

Try it out!

Request Parameters
name type description default constraints
fieldId query    
Response Body
media type data type description
application/json object (JSON)

PUT /admin/parameters/externalpass

Try it out!

Request Body
media type data type
application/json HdcParameterTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/json

Get list of system parameters

Try it out!

Response Body
media type data type description
application/json ParametersSections (JSON) JSON with list of system parameters.

Example of response:

{"list":{"General":{"list":{"DocumentUnits":"7","HideEmptyFields":"true","ShowObjectPropertiesOnHover":"true","RasterUnits":"7","Language":"1","VersionId":"20","DrawingAutoSave":"true","VectorUnits":"7","MapUnits":"7","DrawingAutoSaveDelay":"10"}}}}

GET /admin/parameters/areareport/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/areareport/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/arrows/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/arrows/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/dimensions/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/dimensions/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/general/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/general/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/hopa/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/hopa/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/labels/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/labels/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/print/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/print/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/quickprint/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/quickprint/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/versioning/json

Try it out!

Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON)

PUT /admin/parameters/versioning/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/parameters/{sectionName}/json

Get list of system parameters

Try it out!

Request Parameters
name type description default constraints
sectionName path    
Response Body
media type data type description
application/json HdcMapTOOfStringAndString (JSON) JSON with list of system parameters.

Example of response:

{"list":{"DocumentUnits":"7","HideEmptyFields":"true","ShowObjectPropertiesOnHover":"true","RasterUnits":"7","Language":"1","VersionId":"20","DrawingAutoSave":"true","VectorUnits":"7","MapUnits":"7","DrawingAutoSaveDelay":"10"}}

PUT /admin/parameters/{sectionName}/json

Update value of system parameters. Please note that this WS couldn't be used for setting versionId parameter, it will be omitted. To change versionId please use av rest.

Example of request:

{"DocumentUnits":"5","HideEmptyFields":"true","RasterUnits":"3","dataDirectoryFileLimit":"12"}

Try it out!

Request Parameters
name type description default constraints
sectionName path    
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the saving has or has not been succeeded.